=== debian/control ===
Source: go-dlib
Section: devel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), dh-golang, golang-go,
 golang-github-linuxdeepin-go-x11-client-dev,
 golang-gopkg-check.v1-dev, golang-github-smartystreets-goconvey-dev, golang-golang-x-image-dev,
 golang-gir-gobject-2.0-dev (>> 1.2.0+), golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+), golang-github-cryptix-wav-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-mozillazg-go-pinyin-dev,
 golang-dbus-dev,
 libgdk-pixbuf2.0-dev,
 libpulse-dev, libgtk-3-dev, libcanberra-dev, golang-gopkg-alecthomas-kingpin.v2-dev, mobile-broadband-provider-info,
 iso-codes, dbus-x11, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev, golang-github-stretchr-testify-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: golang-dlib-dev
Architecture: all
Depends: ${misc:Depends},
 golang-github-linuxdeepin-go-x11-client-dev,
 golang-github-cryptix-wav-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-mozillazg-go-pinyin-dev,
 golang-golang-x-image-dev, golang-gir-gobject-2.0-dev (>> 1.2.0+), golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-dbus-dev,
 libpulse-dev, libgtk-3-dev, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev
Built-Using: ${misc:Built-Using}
Provides: go-dlib
Description: Go bindings for Deepin Desktop Environment development
 DLib is a set of Go bindings/libraries for DDE development.
 Containing dbus (forking from guelfey), glib, gdkpixbuf, pulse and more.
