=== debian/rules ===
#!/usr/bin/make -f


export GOCACHE := /tmp/gocache

export DH_GOPKG := pkg.deepin.io/lib
export DH_GOLANG_INSTALL_ALL := 1
 
%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	find ${CURDIR}/debian/golang-dlib-dev -regex '.*\.git\|.*testdata\|.*LICENSE\|.*\.gitignore' | xargs rm -rf

override_dh_fixperms:
	dh_fixperms
	find debian -name 'build_test_locale_data' -exec chmod 755 {} \;
